Ir al contenido
Secciones de la documentación

Esta página aún no está traducida. Se muestra la versión en inglés.

Rotate Endpoint Secret

POST /endpoint/{endpoint_id}/secret/rotate on the Webhooks API. Base URL: https://api.sinay.ai/webhook/api/v1.

Rotates the endpoint's signing secret. The previous secret will be valid for the next 24 hours.

Path parameters

stringobligatorio

The ep's ID or UID To retrieve your endpoints ids, use GET /endpoint.

Header parameters

NameTypeRequiredDescription
idempotency-keystringNoThe request's idempotency key.

Request body

application/json, required.

FieldTypeRequiredDescription
keystring, nullableNoThe endpoint's verification secret. If null is passed, a secret is automatically generated. Format: base64 encoded random bytes optionally prefixed with whsec_. Recommended size: 24. Default: null.

Responses

No body.